# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`chronograf`](#chronograf): Manages a Chronograf
* [`chronograf::config`](#chronografconfig): Manages directories and files; service defaults
* [`chronograf::install`](#chronografinstall): Manages package
* [`chronograf::params`](#chronografparams): Parameter definiton
* [`chronograf::repo`](#chronografrepo): Manages gpg key information and repository, if necessary
* [`chronograf::service`](#chronografservice): Manages the service

### Defined types

* [`chronograf::connection::influx`](#chronografconnectioninflux): Manages the connections to influx
* [`chronograf::connection::kapacitor`](#chronografconnectionkapacitor): Manages the connections to kapacitor

## Classes

### `chronograf`

Manages a Chronograf

#### Examples

##### 

```puppet
include chronograf
```

#### Parameters

The following parameters are available in the `chronograf` class.

##### `manage_repo`

Data type: `Boolean`



Default value: `$chronograf::params::manage_repo`

##### `package_name`

Data type: `String`



Default value: `$chronograf::params::package_name`

##### `ensure`

Data type: `String`



Default value: `$chronograf::params::ensure`

##### `repo_location`

Data type: `Stdlib::HTTPSUrl`



Default value: `$chronograf::params::repo_location`

##### `repo_type`

Data type: `String`



Default value: `$chronograf::params::repo_type`

##### `group`

Data type: `String`



Default value: `$chronograf::params::group`

##### `user`

Data type: `String`



Default value: `$chronograf::params::user`

##### `service_defaults`

Data type: `Stdlib::Absolutepath`



Default value: `$chronograf::params::service_defaults`

##### `service_definition`

Data type: `Stdlib::Absolutepath`



Default value: `$chronograf::params::service_definition`

##### `service_definition_template`

Data type: `String`



Default value: `$chronograf::params::service_definition_template`

##### `service_name`

Data type: `String`



Default value: `$chronograf::params::service_name`

##### `service_provider`

Data type: `String`



Default value: `$chronograf::params::service_provider`

##### `service_ensure`

Data type: `Stdlib::Ensure::Service`



Default value: `$chronograf::params::service_ensure`

##### `service_enable`

Data type: `Boolean`



Default value: `$chronograf::params::service_enable`

##### `service_has_status`

Data type: `Boolean`



Default value: `$chronograf::params::service_has_status`

##### `service_has_restart`

Data type: `Boolean`



Default value: `$chronograf::params::service_has_restart`

##### `manage_service`

Data type: `Boolean`



Default value: `$chronograf::params::manage_service`

##### `bolt_path`

Data type: `Stdlib::Absolutepath`



Default value: `$chronograf::params::bolt_path`

##### `canned_path`

Data type: `Stdlib::Absolutepath`



Default value: `$chronograf::params::canned_path`

##### `protoboards_path`

Data type: `Stdlib::Absolutepath`



Default value: `$chronograf::params::protoboards_path`

##### `resources_path`

Data type: `Stdlib::Absolutepath`



Default value: `$chronograf::params::resources_path`

##### `basepath`

Data type: `Optional[Stdlib::Absolutepath]`



Default value: `$chronograf::params::basepath`

##### `status_feed_url`

Data type: `Optional[Stdlib::HTTPSUrl]`



Default value: `$chronograf::params::status_feed_url`

##### `connection_influx`

Data type: `Hash`



Default value: `$chronograf::params::connection_influx`

##### `influx_connection_template`

Data type: `String`



Default value: `$chronograf::params::influx_connection_template`

##### `connection_kapacitor`

Data type: `Hash`



Default value: `$chronograf::params::connection_kapacitor`

##### `kapacitor_connection_template`

Data type: `String`



Default value: `$chronograf::params::kapacitor_connection_template`

##### `host`

Data type: `Stdlib::Host`



Default value: `$chronograf::params::host`

##### `port`

Data type: `Stdlib::Port`



Default value: `$chronograf::params::port`

##### `tls_certificate`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::params::tls_certificate`

##### `token_secret`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::params::token_secret`

##### `log_level`

Data type: `Variant[Undef, Enum['UNSET'], Enum['error','warn','info','debug']]`



Default value: `$chronograf::params::log_level`

##### `public_url`

Data type: `Variant[Undef, Enum['UNSET'], Stdlib::HTTPUrl]`



Default value: `$chronograf::params::public_url`

##### `generic_client_id`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::params::generic_client_id`

##### `generic_client_secret`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::params::generic_client_secret`

##### `generic_auth_url`

Data type: `Variant[Undef, Enum['UNSET'], Stdlib::HTTPSUrl]`



Default value: `$chronograf::params::generic_auth_url`

##### `generic_token_url`

Data type: `Variant[Undef, Enum['UNSET'], Stdlib::HTTPSUrl]`



Default value: `$chronograf::params::generic_token_url`

##### `use_id_token`

Data type: `Variant[Undef, Enum['UNSET'], Enum['true','false']]`



Default value: `$chronograf::params::use_id_token`

##### `jwks_url`

Data type: `Variant[Undef, Enum['UNSET'], Stdlib::HTTPSUrl]`



Default value: `$chronograf::params::jwks_url`

##### `generic_api_url`

Data type: `Variant[Undef, Enum['UNSET'], Stdlib::HTTPSUrl]`



Default value: `$chronograf::params::generic_api_url`

##### `generic_api_key`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::params::generic_api_key`

##### `generic_scopes`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::params::generic_scopes`

##### `generic_domains`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::params::generic_domains`

##### `generic_name`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::params::generic_name`

##### `google_client_id`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::params::google_client_id`

##### `google_client_secret`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::params::google_client_secret`

##### `google_domains`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::params::google_domains`

### `chronograf::config`

Manages directories and files; service defaults

#### Examples

##### 

```puppet
include chronograf::config
```

#### Parameters

The following parameters are available in the `chronograf::config` class.

##### `service_defaults`

Data type: `Stdlib::Absolutepath`



Default value: `$chronograf::service_defaults`

##### `service_definition`

Data type: `Stdlib::Absolutepath`



Default value: `$chronograf::service_definition`

##### `service_definition_template`

Data type: `String`



Default value: `$chronograf::service_definition_template`

##### `resources_path`

Data type: `String`



Default value: `$chronograf::resources_path`

##### `user`

Data type: `String`



Default value: `$chronograf::user`

##### `group`

Data type: `String`



Default value: `$chronograf::group`

##### `bolt_path`

Data type: `Stdlib::Absolutepath`



Default value: `$chronograf::bolt_path`

##### `canned_path`

Data type: `Stdlib::Absolutepath`



Default value: `$chronograf::canned_path`

##### `protoboards_path`

Data type: `Stdlib::Absolutepath`



Default value: `$chronograf::protoboards_path`

##### `basepath`

Data type: `Optional[Stdlib::Absolutepath]`



Default value: `$chronograf::basepath`

##### `status_feed_url`

Data type: `Optional[Stdlib::HTTPSUrl]`



Default value: `$chronograf::status_feed_url`

##### `host`

Data type: `Stdlib::Host`



Default value: `$chronograf::host`

##### `port`

Data type: `Stdlib::Port`



Default value: `$chronograf::port`

##### `tls_certificate`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::tls_certificate`

##### `token_secret`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::token_secret`

##### `log_level`

Data type: `Variant[Undef, Enum['UNSET'], Enum['error','warn','info','debug']]`



Default value: `$chronograf::log_level`

##### `public_url`

Data type: `Variant[Undef, Enum['UNSET'], Stdlib::HTTPUrl]`



Default value: `$chronograf::public_url`

##### `generic_client_id`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::generic_client_id`

##### `generic_client_secret`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::generic_client_secret`

##### `generic_auth_url`

Data type: `Variant[Undef, Enum['UNSET'], Stdlib::HTTPSUrl]`



Default value: `$chronograf::generic_auth_url`

##### `generic_token_url`

Data type: `Variant[Undef, Enum['UNSET'], Stdlib::HTTPSUrl]`



Default value: `$chronograf::generic_token_url`

##### `use_id_token`

Data type: `Variant[Undef, Enum['UNSET'], Enum['true','false']]`



Default value: `$chronograf::use_id_token`

##### `jwks_url`

Data type: `Variant[Undef, Enum['UNSET'], Stdlib::HTTPSUrl]`



Default value: `$chronograf::jwks_url`

##### `generic_api_url`

Data type: `Variant[Undef, Enum['UNSET'], Stdlib::HTTPSUrl]`



Default value: `$chronograf::generic_api_url`

##### `generic_api_key`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::generic_api_key`

##### `generic_scopes`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::generic_scopes`

##### `generic_domains`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::generic_domains`

##### `generic_name`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::generic_name`

##### `google_client_id`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::google_client_id`

##### `google_client_secret`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::google_client_secret`

##### `google_domains`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `$chronograf::google_domains`

### `chronograf::install`

Manages package

#### Examples

##### 

```puppet
include chronograf::install
```

#### Parameters

The following parameters are available in the `chronograf::install` class.

##### `ensure`

Data type: `String`



Default value: `$chronograf::ensure`

##### `package_name`

Data type: `String`



Default value: `$chronograf::package_name`

### `chronograf::params`

Parameter definiton

#### Examples

##### 

```puppet
include chronograf::params
```

#### Parameters

The following parameters are available in the `chronograf::params` class.

##### `manage_repo`

Data type: `Boolean`



Default value: ``true``

##### `package_name`

Data type: `String`



Default value: `'chronograf'`

##### `ensure`

Data type: `String`



Default value: `'present'`

##### `repo_location`

Data type: `Stdlib::HTTPSUrl`



Default value: `'https://repos.influxdata.com/'`

##### `repo_type`

Data type: `String`



Default value: `'stable'`

##### `group`

Data type: `String`



Default value: `'chronograf'`

##### `user`

Data type: `String`



Default value: `'chronograf'`

##### `service_defaults`

Data type: `Stdlib::Absolutepath`



Default value: `'/etc/default/chronograf'`

##### `service_definition`

Data type: `Stdlib::Absolutepath`



Default value: `'/lib/systemd/system/chronograf.service'`

##### `service_definition_template`

Data type: `String`



Default value: `'chronograf/systemd.service.erb'`

##### `service_name`

Data type: `String`



Default value: `'chronograf'`

##### `service_provider`

Data type: `String`



Default value: `'systemd'`

##### `service_ensure`

Data type: `Stdlib::Ensure::Service`



Default value: `'running'`

##### `service_enable`

Data type: `Boolean`



Default value: ``true``

##### `service_has_status`

Data type: `Boolean`



Default value: ``true``

##### `service_has_restart`

Data type: `Boolean`



Default value: ``true``

##### `manage_service`

Data type: `Boolean`



Default value: ``true``

##### `bolt_path`

Data type: `Stdlib::Absolutepath`



Default value: `'/var/lib/chronograf/chronograf-v1.db'`

##### `canned_path`

Data type: `Stdlib::Absolutepath`



Default value: `'/usr/share/chronograf/canned'`

##### `protoboards_path`

Data type: `Stdlib::Absolutepath`



Default value: `'/usr/share/chronograf/protoboards'`

##### `resources_path`

Data type: `Stdlib::Absolutepath`



Default value: `'/usr/share/chronograf/resources'`

##### `basepath`

Data type: `Optional[Stdlib::Absolutepath]`



Default value: `'/usr/share/chronograf/base'`

##### `status_feed_url`

Data type: `Stdlib::HTTPSUrl`



Default value: `'https://www.influxdata.com/feed/json'`

##### `connection_influx`

Data type: `Hash`



Default value: `{}`

##### `influx_connection_template`

Data type: `String`



Default value: `'chronograf/influx_connection.erb'`

##### `connection_kapacitor`

Data type: `Hash`



Default value: `{}`

##### `kapacitor_connection_template`

Data type: `String`



Default value: `'chronograf/kapacitor_connection.erb'`

##### `host`

Data type: `Stdlib::Host`



Default value: `'0.0.0.0'`

##### `port`

Data type: `Stdlib::Port`



Default value: `8888`

##### `tls_certificate`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `'UNSET'`

##### `token_secret`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `'UNSET'`

##### `log_level`

Data type: `Variant[Undef, Enum['UNSET'], Enum['error','warn','info','debug']]`



Default value: `'UNSET'`

##### `public_url`

Data type: `Variant[Undef, Enum['UNSET'], Stdlib::HTTPUrl]`



Default value: `'UNSET'`

##### `generic_client_id`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `'UNSET'`

##### `generic_client_secret`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `'UNSET'`

##### `generic_auth_url`

Data type: `Variant[Undef, Enum['UNSET'], Stdlib::HTTPSUrl]`



Default value: `'UNSET'`

##### `generic_token_url`

Data type: `Variant[Undef, Enum['UNSET'], Stdlib::HTTPSUrl]`



Default value: `'UNSET'`

##### `use_id_token`

Data type: `Variant[Undef, Enum['UNSET'], Enum['true','false']]`



Default value: `'UNSET'`

##### `jwks_url`

Data type: `Variant[Undef, Enum['UNSET'], Stdlib::HTTPSUrl]`



Default value: `'UNSET'`

##### `generic_api_url`

Data type: `Variant[Undef, Enum['UNSET'], Stdlib::HTTPSUrl]`



Default value: `'UNSET'`

##### `generic_api_key`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `'UNSET'`

##### `generic_scopes`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `'UNSET'`

##### `generic_domains`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `'UNSET'`

##### `generic_name`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `'UNSET'`

##### `google_client_id`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `'UNSET'`

##### `google_client_secret`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `'UNSET'`

##### `google_domains`

Data type: `Variant[Undef, Enum['UNSET'], String]`



Default value: `'UNSET'`

### `chronograf::repo`

Manages gpg key information and repository, if necessary

#### Examples

##### 

```puppet
include chronograf::repo
```

#### Parameters

The following parameters are available in the `chronograf::repo` class.

##### `manage_repo`

Data type: `Boolean`



Default value: `$chronograf::manage_repo`

##### `repo_location`

Data type: `Stdlib::HTTPSUrl`



Default value: `$chronograf::repo_location`

##### `repo_type`

Data type: `String`



Default value: `$chronograf::repo_type`

### `chronograf::service`

Manages the service

#### Examples

##### 

```puppet
include chronograf::service
```

#### Parameters

The following parameters are available in the `chronograf::service` class.

##### `service_name`

Data type: `String`



Default value: `$chronograf::service_name`

##### `service_ensure`

Data type: `Stdlib::Ensure::Service`



Default value: `$chronograf::service_ensure`

##### `service_enable`

Data type: `Boolean`



Default value: `$chronograf::service_enable`

##### `service_has_status`

Data type: `Boolean`



Default value: `$chronograf::service_has_status`

##### `service_has_restart`

Data type: `Boolean`



Default value: `$chronograf::service_has_restart`

##### `service_provider`

Data type: `String`



Default value: `$chronograf::service_provider`

##### `manage_service`

Data type: `Boolean`



Default value: `$chronograf::manage_service`

##### `service_definition`

Data type: `Stdlib::Absolutepath`



Default value: `$chronograf::service_definition`

## Defined types

### `chronograf::connection::influx`

Manages the connections to influx

#### Examples

##### 

```puppet
chronograf::connection::influx { 'connection': }
```

#### Parameters

The following parameters are available in the `chronograf::connection::influx` defined type.

##### `connection`

Data type: `String`



Default value: `$title`

##### `ensure`

Data type: `Enum['present', 'absent']`



Default value: `'present'`

##### `id`

Data type: `String`



Default value: `'10000'`

##### `username`

Data type: `String`



Default value: `'test'`

##### `password`

Data type: `String`



Default value: `'test'`

##### `url`

Data type: `Stdlib::HTTPUrl`



Default value: `'http://localhost:8086'`

##### `type`

Data type: `String`



Default value: `'influx'`

##### `insecure_skip_verify`

Data type: `Boolean`



Default value: ``false``

##### `default`

Data type: `Boolean`



Default value: ``true``

##### `telegraf`

Data type: `String`



Default value: `'telegraf'`

##### `organization`

Data type: `String`



Default value: `'example_org'`

##### `connection_template`

Data type: `String`



Default value: `$chronograf::influx_connection_template`

##### `resources_path`

Data type: `Stdlib::Absolutepath`



Default value: `$chronograf::resources_path`

### `chronograf::connection::kapacitor`

Manages the connections to kapacitor

#### Examples

##### 

```puppet
chronograf::connection::kapacitor { 'connection': }
```

#### Parameters

The following parameters are available in the `chronograf::connection::kapacitor` defined type.

##### `connection`

Data type: `String`



Default value: `$title`

##### `ensure`

Data type: `Enum['present', 'absent']`



Default value: `'present'`

##### `id`

Data type: `String`



Default value: `'10000'`

##### `src_id`

Data type: `String`



Default value: `'10000'`

##### `url`

Data type: `Stdlib::HTTPUrl`



Default value: `'http://localhost:9092'`

##### `active`

Data type: `Boolean`



Default value: ``true``

##### `organization`

Data type: `String`



Default value: `'example_org'`

##### `connection_template`

Data type: `String`



Default value: `$chronograf::kapacitor_connection_template`

##### `resources_path`

Data type: `Stdlib::Absolutepath`



Default value: `$chronograf::resources_path`
